shell编程脚本练习题

Posted

tags:

篇首语:本文由小常识网(cha138.com)小编为大家整理,主要介绍了shell编程脚本练习题相关的知识,希望对你有一定的参考价值。

1.使用for循环在/oldboy目录下通过随机小写10个字母加固定字符串oldboy批量创建10html文件,名称例如为:


[[email protected] oldboy]# sh /server/scripts/oldboy.sh

[[email protected] oldboy]# ls

coaolvajcq_oldboy.html  qnvuxvicni_oldboy.html  vioesjmcbu_oldboy.html

gmkhrancxh_oldboy.html  tmdjormaxr_oldboy.html  wzewnojiwe_oldboy.html

jdxexendbe_oldboy.html  ugaywanjlm_oldboy.html  xzzruhdzda_oldboy.html

qcawgsrtkp_oldboy.html  vfrphtqjpc_oldboy.html

 

[[email protected] test]# cat shuijishu1.sh

#!/sbin/bash

path=/oldboy

[ -d "$path" ]|| mkdir -p /oldboy

for n in `seq 10`

do

randomnu=$(echo $RANDOM|md5sum |tr "[0-9]" "[a-z]"|cut -c 2-11)

touch "$path/$randomnu"_oldboy.html

done

注获取随机字符法2openssl rand -base64 40|sed s#[^a-z]##g|cut -c 2-11


2.将以上文件名中的oldboy全部改成oldgirl(用for循环实现),并且html改成大写。


法一:[[email protected] oldboy]# rename "oldboy.html" "oldgirl.HTML" *.html

法二:

[[email protected] test]# cat chongminming.sh

#!/sbin/bash

path=/oldboy

cd $path

for n in `ls`

do

name=$(echo ${n}|awk -F"_" ‘{print $1}‘)

mv $n ${name}_oldgirl.HTML

done

法三:

ls /oldboy|xargs -n1|awk -F"_" ‘{print "mv " $0" "$1"_oldgirl.HTML"}‘|bash

 

3.批量创建10个系统帐号oldboy01-oldboy10并设置密码(密码为随机8位字符串)。


法一:

[[email protected] test]# cat creaccount.sh

#!/sbin/bash

[ $UID -ne 0 ]&&{

echo  "please su - root"

exit 1

}

for n in `seq -w 10`

do

user=fengxiaoli$n

word=`grep -w $user /etc/passwd|wc -l`

if [ $word -eq 1 ];then

echo "useradd $user already exists!"

continue

fi

pass=$(echo $RANDOM|md5sum |cut -c 2-11)

useradd $user && \

echo "$pass"|passwd --stdin $user &>/dev/null

resut=$?

if [ $resut -eq 0 ]

then

echo "$user create succss"

fi

echo "account=$user password=$pass" >>/tmp/acount.txt

done

 

#Random number method

#openssl rand -base64 40|cut -c 2-11

#echo $RANDOM|md5sum |cut -c 2-11"

 

#double number method

#seq -w 10

#echo {00..10}

 

法二:

echo feng{01..10}|xargs -n1|sed -r ‘ s#(.*)#useradd \1;pass=$(echo $RANDOM|md5sum |cut -c 2-11);echo "$pass"|passwd --stdin \1;echo "\1" \t$pass>>/tmp/user.txt#g‘|bash


4.写一个脚本,实现判断10.0.0.0/24网络里,当前在线用户的IP有哪些(方法有很多)


[[email protected] test]# cat ping.sh

法一:此方法较慢,如果主机禁ping,则不能检测出主机

#!/sbin/bash

ip="192.168.1."

cmd="ping -W 2 -c 2"

for i in `seq 254`

do

$cmd $ip$i &>/dev/null

if [ $? -eq 0 ]

 then

echo "$ip$i is ok!"

 else

echo "$ip$i is bad!"

fi

 

done

法二:此方法较快,禁ping也能监测出主机,nmap功能很强大,建议了解

nmap -sP 192.168.1.*|grep "Nmap scan report for"|awk ‘{print $5 " is ok!"}‘

 

5.写一个脚本解决DOS攻击生产案例
提示:根据web日志或者或者网络连接数,监控当某个IP并发连接数或者短时内PV达到100,即调用防火墙命令封掉对应的IP,监控频率每隔3分钟。防火墙命令为:iptables -I INPUT -s 10.0.1.10 -j DROP。


法一:

#!/sbin/bash

[ -f /etc/init.d/functions ] && . /etc/init.d/functions

account=5

function ipt(){

awk ‘{print $1}‘ /application/nginx/logs/access.log |sort |uniq -c|sort -nr -k1 >>/tmp/ip.log#注意access.log日志需要按天或按小时分割出来,再来分析

exec </tmp/ip.log

while read line

do

IP=$(echo "$line"|awk ‘{print $2}‘)

if [ `echo "$line"|awk ‘{print $1}‘` -ge $account -a `iptables -L -n|grep "$IP" | wc -l` -lt 1 ];then

        iptables -I INPUT -s $IP -j DROP

        if [ $? -eq 0 ];then

                echo "$IP is DROP ok"

                echo "$IP" >>/tmp/ip_drop_`date +%F`.txt

        else

                echo "$IP is DROP false"

        fi

fi

done

}

function del(){

[ -f /tmp/ip_drop_`date +%F -d ‘-1day‘`.txt ]||{

echo "the log is not exist"

exit 1

}

exec </tmp/ip_drop_`date +%F -d ‘-1day‘`.txt

while read line

do

if [ `iptables -L -n|grep "$line"|wc -l` -eq 1 ];then

        iptables -D INPUT -s $line -j DROP

fi

done

 

}

#main 函数也可以用计划任务替代

main(){

flag=0

while true

do

sleep 180 #等待3分钟

((flag++))

ipt

[ $flag -ge 480 ]&&del&&flag=0 #当flag=480,也就是3*480分钟,等于24小时,意思是将前一天drop掉的ip允许访问

done

}

main

 

法二:注意这里的netstat.log是netstat命令里的内容

grep ESTABLISHED netstat.log |awk -F "[ :]+" ‘{print $6}‘|sort |uniq -c |sort -rn -k1

法二只需将上面法一中IP获取方法替换即可

 

6.打印下面这句话中字母数不大于6的单词I am oldboy  teacher welcome to oldboy training class


法一:

echo "$word"|xargs -n1|awk ‘length <6{print $1}‘

法二:

[[email protected] test]# tail 001.sh

for word in ${array[*]}

do

if [ `expr length $word` -lt 6 ];then

#if [ ${#word} -lt 6 ];then

#if [ `echo $word|wc -L` -lt 6 ];then

echo $word

fi

done

注:取单词长度方法

${#变量}

expr length 变量

echo 变量 |wc -L

 

7.开发shell脚本分别实现以脚本传参以及read读入的方式比较2个整数大小。以屏幕输出的方式提醒用户比较结果。注意:一共是开发2个脚本。当用脚本传参以及read读入的方式需要对变量是否为数字、并且传参个数做判断。

#!/sbin/bash

read -p "please input two int num:" a b

if [ -z $a ]||[ -z $b ];then

 echo "please input two num!"

 exit 1

fi

expr $a + 10 >/dev/null 2>&1

if [ $? -ne 0 ];then

echo "please input int num!"

exit 1

fi

expr $b + 10 >/dev/null 2>&1

if [ $? -ne 0 ];then

echo "please input int num!"

exit 1

fi

 

if [ $a -gt $b ];then

echo "$a >$b"

exit 0

elif [ $a -lt $b ];then

echo "$a <$b"

exit 0

else

echo "$a=$b"

exit 0

fi

 

脚本传参方式只需将$a $b 替换会$1 $2即可

 

8.批量检查多个网站地址是否正常 

要求:shell数组方法实现,检测策略尽量模拟用户访问思路

http://www.etiantian.org

http://www.taobao.com

http://oldboy.blog.51cto.com

http://10.0.0.7 

 

[[email protected] test]# cat 003.sh

#!/sbin/bash

[ -f /etc/init.d/functions ] && . /etc/init.d/functions

array=(

http://www.etiantian.org

http://www.taobao.com

http://oldboy.blog.51cto.com

http://10.117.33.193

)

for n in ${array[*]}

do

curl=$(wget --spider --timeout=3 --tries=2 $n &>/dev/null)

if [ `echo $?` -eq 0 ];then

action "curl $n" /bin/true

else

action "curl $n" /bin/false

fi

 

Done

 

 

 

9.企业案例:写网络服务独立进程模式下rsync的系统启动脚本

例如:/etc/init.d/rsyncd{start|stop|restart} 。
要求:
1.要使用系统函数库技巧。
2.要用函数,不能一坨SHI的方式。
3.可被chkconfig管理。

 

[[email protected] ~]# cat 001.sh

#!/bin/bash

# chkconfig: 2345 30 62 #将脚本添加进chkconfig时2345向需设置10-90之间,必须添加这句才能将该脚本添加进chkconfig

[ -f /etc/init.d/functions ] && . /etc/init.d/functions

pidfile=/var/run/rsyncd.pid

 

judge(){

result=$?

if [ $result = 0 ];then

action "rsync is $1" /bin/true

result=$?

else

action "rsync is $1" /bin/false

result=$?

fi

}

 

start() {

if [ -f $pidfile ];then

echo "rsync is running"

result=$?

else

rsync --daemon

judge started

result=$?

fi

}

 

stop(){

if [ ! -f $pidfile ];then

echo "rsync is stopping"

result=$?

else

kill `cat $pidfile`

rm -f $pidfile

judge stopd

result=$?

fi

}

 

case "$1" in

start)

start

result=$?

;;

stop)

stop

result=$?

;;

restart)

stop

sleep 2

start

result=$?

;;

*)

echo "usage:$0 {start|stop|restart}"

exit 1

esac

 

注:添加进chkconfig 设置开机自启动

cp 001.sh /etc/init.d/rsyncd

# chkconfig: 2345 10 90 #将脚本添加进chkconfig时2345向需设置10-90之间

[[email protected] init.d]# ll /etc/rc.d/rc3.d/|grep 30#30没被使用

[[email protected] init.d]# ll /etc/rc.d/rc3.d/|grep 61#62没被使用

[[email protected] init.d]# chkconfig --add rsyncd

[[email protected] init.d]# chkconfig --list|grep rsync

rsyncd         0:off1:off2:on3:on4:on5:on6:off

 

 

 

10.好消息,老男孩培训学生外出企业项目实践机会(第6次)来了(本月中旬),但是,名额有限,队员限3人(班长带队)。

因此需要挑选学生,因此需要一个抓阄的程序:

要求:

1、执行脚本后,想去的同学输入英文名字全拼,产生随机数01-99之间的数字,数字越大就去参加项目实践,前面已经抓到的数字,下次不能在出现相同数字。

2、第一个输入名字后,屏幕输出信息,并将名字和数字记录到文件里,序不能退出继续等待别的学生输入

 

[[email protected] ~]# cat 002.sh

#!/bin/bash

while true

do

file=/tmp/file.txt

[ -f $file ]|| touch $file

read -p "please input your English name:" name

rename=$(grep "\b$name\b" $file|wc -l)

if [ -z $name ];then

echo "Please do not enter empty characters"

continue

elif [ $rename -eq 1 ];then

echo "The user already exists"

continue

else

while true

do

flag=0

ran_num=$(expr $RANDOM % 99 + 1)

zhua_num=$(grep "\b${ran_num}\b" $file|wc -l)

if [ $zhua_num -ne 1 ];then

echo "$name $ran_num"|tee -a $file

flag=1

fi

[ $flag -eq 1 ] && break

done

 

 

fi

done

 

10.已知下面的字符串是通过RANDOM随机数变量md5sum|cut-c 1-8截取后的结果,请破解这些字符串对应的md5sum前的RANDOM对应数字?

21029299

00205d1c

a3da1677

1f6d12dd

 

[[email protected] ~]# cat 003.sh

#!/bin/bash

array=(

21029299

00205d1c

a3da1677

1f6d12dd

)

for i in {0..32767}

do

md5=$(echo $i|md5sum |cut -c 1-8)

for n in ${array[*]}

do

if [ $md5 == $n ];then

echo "$i is $n"

fi

done

done

 

11:用shell处理以下内容

1、按单词出现频率降序排序!

2、按字母出现频率降序排序!


[[email protected] ~]# cat file.txt

the squid project provides a number of resources toassist users

design,implement and support squid installations. Please browsethe

documentation and support sections for more infomation

1、按单词出现频率降序排序!

[[email protected] ~]# cat file.txt |tr "[., ]" " "|sed "s# #\n#g"|grep -v "^$"|sort|uniq -c|sort -rn

 

[[email protected] ~]# cat file.txt |sed "s#[., ]#\n#g"|grep -v "^$"|sort |uniq -c|sort -rn

2、按字母出现频率降序排序!

[[email protected] ~]# cat file.txt |tr "[,.]" " "|sed "s# ##g"|sed -r "s#(.)#\1\n#g"|sort|uniq -c|sort -rn

 

 

12.面试及实战考试题:监控web站点目录(/var/html/www)下所有文件是否被恶意篡改(文件内容被改了),如果有就打印改动的文件名(发邮件),定时任务每3分钟执行一次(10分钟时间完成)。

 

解决方案:如果是正常的代码上线,则暂时不监控,正常代码上线之后先执行001.sh建立指纹库和记录文件数目,再继续监控执行002.sh

[[email protected] shell]# cat 001.sh

#!/bin/bash

path=/var/html/www/

[ -d /test ]|| mkdir /test -p

md5_log=/test/md5_old.log

num_log=/test/num_old.log

find "$path" -type f -exec md5sum {} >$md5_log \;

find "$path" -type f > $num_log

 

[[email protected] shell]# cat 002.sh

#!/bin/bash

path=/var/html/www#检测站点路径

[ -d /test ]|| mkdir /test -p

md5_log=/test/md5_old.log

num_log=/test/num_old.log

num=$(cat $num_log|wc -l)

while true

do

resultlog=/test/result.log

[ ! -f $resultlog ] && touch $resultlog

md5_check=$(md5sum -c $md5_log 2>/dev/null |grep FAILED|wc -l)

new_num=$(find $path -type f|wc -l)

find $path -type f >/test/num_new.log


if [ $md5_check -ne 0 ]||[ $new_num -ne $num ];then

  echo "$(md5sum -c $md5_log 2>/dev/null | grep FAILED)" >$resultlog

  diff $num_log /test/num_new.log >>$resultlog

#  mail -s "web site is changed in $(date +%F\ %T)" [email protected] <$resultlog

fi

sleep 3

 

done

 

[[email protected] test]# ll /test/

total 16

-rw-r--r--. 1 root root 597 Jul 15 23:20 md5_old.log

-rw-r--r--. 1 root root 223 Jul 15 23:24 num_new.log

-rw-r--r--. 1 root root 223 Jul 15 23:20 num_old.log

-rw-r--r--. 1 root root  29 Jul 15 23:24 result.log

 

 

 

13.请用shell或Python编写一个等腰三角形(oldboy2_triangle.sh),接收用户输入的数字。

例如:

[[email protected] shell]# sh 004.sh

pleash enter a number:6

     *

    ***

   *****

  *******

 *********

***********

[[email protected] shell]# cat 004.sh

#!/bin/bash

read -p "pleash enter a number:" n

for ((i=1;i<=$n;i++))

do

    for((j=(($n-$i));j>0;j--))

    do

     echo -n " "

    done

    

    for((m=0;m<$((2*$i-1));m++))

    do

    echo -n  "*"

    done

    echo

done

 

 

[[email protected] shell]# sh 005.sh 2 6

* *

* * *

* * * *

* * * * *

* * * * * *

[[email protected] shell]# cat 005.sh

#!/bin/bash

for ((n=$1;n<=$2;n++))

do

for ((m=1;m<$n;m++))

do

echo -n "* "

done

if [ $m -eq $n ];then

echo "* "

fi

done

 

 

14.打印选择菜单,一键安装Web服务:

[[email protected]]# sh menu.sh

    1.[install lamp]

    2.[install lnmp]

    3.[exit]

    pls input the num you want:

要求:

1、当用户输入1时,输出startinstalling lamp.”然后执行/server/scripts/lamp.sh,脚本内容输出"lampis installed"后退出脚本;

2、当用户输入2时,输出startinstalling lnmp.”然后执行/server/scripts/lnmp.sh输出"lnmpis installed"后退出脚本;

3、当输入3时,退出当前菜单及脚本;

4、当输入任何其它字符,给出提示Input error”后退出脚本。

5、要对执行的脚本进行相关条件判断,例如:脚本是否存在,是否可执行等。 

 

[[email protected] shell]# cat 006.sh

#!/bin/bash

lnmp=/server/scripts/lnmp.sh

lamp=/server/scripts/lamp.sh

echo "1.[install lamp]"

echo "2.[install lnmp]"

echo "3.[exit]"

read -p "please input num:" num

 

case $num in

1)

[ -f $lamp -a -x $lamp ]||{

      echo "$lamp is error!"

      exit 1

      }

echo "startinstalling lamp..."

$lamp

echo "lamp installed..."

;;

 

2)

[ -f $lnmp -a -x $lnmp ]||{

        echo "$lnmp is error!"

        exit 1

        }

echo "startinstalling lnmp..."

$lnmp

echo "lnmp installed..."

;;

 

3)

exit 0

;;

 

*)

echo "input error"

exit 1

Esac

 

 

15.对mysql数据库进行分库加分表备份,请用脚本实现

[[email protected] ~]# cat 001.sh

#!/bin/bash

USER=root

PASS=oldboy

SOCK=/data/3306/mysql.sock

LOGIN="mysql -u$USER -p$PASS -S $SOCK"

DUMP="mysqldump -u$USER -poldboy -S $SOCK"  

DATABASE=$($LOGIN -e "show databases;"|sed 1d|grep -Ev "*_schema|mysql")

for database in $DATABASE

do

TABLES=$($LOGIN -e "use $database;show tables;"|sed 1d)

for tables in $TABLES

do

[ -d /opt/$database ]||mkdir -p /opt/$database

$DUMP $database $TABLES |gzip > /opt/$database/${database}_${tables}_$(date +%F).sql.gz

done

done

 

16.对mysql实现分库备份

[[email protected] ~]# cat 002.sh

#!/bin/bash

USER=root

PASS=oldboy

SOCK=/data/3306/mysql.sock

LOGIN="mysql -u$USER -p$PASS -S $SOCK"

DUMP="mysqldump -u$USER -poldboy -S $SOCK"  

DATABASE=$($LOGIN -e "show databases;"|sed 1d|grep -Ev "*_schema|mysql")

for database in $DATABASE

do

$DUMP $database -B |gzip > /opt/${database}_${tables}_$(date +%F).sql.gz

done

 

 

 


17.开发mysql多实例启动脚本:
已知mysql多实例启动命令为:mysqld_safe--defaults-file=/data/3306/my.cnf &
停止命令为:mysqladmin -u root -poldboy123 -S /data/3306/mysql.sockshutdown
请完成mysql多实例启动启动脚本的编写
要求:用函数,case语句、if语句等实现。

 

 

 

[[email protected] 3306]# vim mysql

 

#!/bin/sh

#init

port=3306

mysql_user="root"

mysql_pwd="oldboy"

CmdPath="/application/mysql/bin"

mysql_sock="/data/${port}/mysql.sock"

#startup function

function_start_mysql()

{

    if [ ! -e "$mysql_sock" ];then

      printf "Starting MySQL...\n"

      /bin/sh ${CmdPath}/mysqld_safe --defaults-file=/data/${port}/my.cnf 2>&1 > /dev/null &

    else

      printf "MySQL is running...\n"

      exit

    fi

}

 

#stop function

function_stop_mysql()

{

    if [ ! -e "$mysql_sock" ];then

       printf "MySQL is stopped...\n"

       printf "MySQL is stopped...\n"

       exit

    else

       printf "Stoping MySQL...\n"

       ${CmdPath}/mysqladmin -u ${mysql_user} -p${mysql_pwd} -S /data/${port}/mysql.sock shutdown

#!/bin/sh

#init

port=3306

mysql_user="root"

mysql_pwd="oldboy"

CmdPath="/application/mysql/bin"

mysql_sock="/data/${port}/mysql.sock"

#startup function

function_start_mysql()

{

    if [ ! -e "$mysql_sock" ];then

      printf "Starting MySQL...\n"

      /bin/sh ${CmdPath}/mysqld_safe --defaults-file=/data/${port}/my.cnf 2>&1 > /dev/null &

    else

      printf "MySQL is running...\n"

      exit

    fi

}

 

#stop function

function_stop_mysql()

      /bin/sh ${CmdPath}/mysqld_safe --defaults-file=/data/${port}/my.cnf 2>&1 > /dev/null &

    else

      printf "MySQL is running...\n"

      exit

    fi

}

 

#stop function

function_stop_mysql()

{

    if [ ! -e "$mysql_sock" ];then

       printf "MySQL is stopped...\n"

       exit

    else

       printf "Stoping MySQL...\n"

       ${CmdPath}/mysqladmin -u ${mysql_user} -p${mysql_pwd} -S /data/${port}/mysql.sock shutdown

      exit

    fi

}

 

#stop function

function_stop_mysql()

{

    if [ ! -e "$mysql_sock" ];then

       printf "MySQL is stopped...\n"

       exit

    else

       printf "Stoping MySQL...\n"

       ${CmdPath}/mysqladmin -u ${mysql_user} -p${mysql_pwd} -S /data/${port}/mysql.sock shutdown

   fi

}

 

#restart function

function_restart_mysql()

{

    printf "Restarting MySQL...\n"

    function_stop_mysql

    sleep 2

    function_start_mysql

}

 

case $1 in

start)

    function_start_mysql

;;

stop)

    function_stop_mysql

;;

restart)

    function_restart_mysql

;;

*)

    printf "Usage: /data/${port}/mysql {start|stop|restart}\n"

esac

 

18.企业面试题1:(生产实战案例):监控MySQL主从同步是否异常,如果异常,则发送短信或者邮件给管理员。提示:如果没主从同步环境,可以用下面文本放到文件里读取来模拟:
阶段1:开发一个守护进程脚本每30秒实现检测一次。
阶段2:如果同步出现如下错误号(1158,1159,1008,1007,1062),则跳过错误。
阶段3:请使用数组技术实现上述脚本(获取主从判断及错误号部分)

[[email protected] C13]# cat 13_6_3.sh

#!/bin/bash

###########################################

# this script function is :

# check_mysql_slave_replication_status

############################################

path=/server/scripts

MAIL_GROUP="[email protected] [email protected]"

PAGER_GROUP="18600338340 18911718229"

LOG_FILE="/tmp/web_check.log"

USER=root

PASSWORD=oldboy123

PORT=3307

MYSQLCMD="mysql -u$USER -p$PASSWORD -S /data/$PORT/mysql.sock"

error=(1008 1007 1062)

RETVAL=0

[ ! -d $path ] && mkdir -p $path

 

function JudgeError(){

for((i=0;i<${#error[*]};i++))

do

  if [ "$1" == "${error[$i]}" ]

    then

      echo "MySQL slave errorno is $1,auto repairing it."

      $MYSQLCMD -e "stop slave;set global sql_slave_skip_counter=1;start slave;"

  fi

done

return $1

}

 

function CheckDb(){

status=($(awk -F ‘: ‘ ‘/_Running|Last_Errno|_Behind/{print $NF}‘ slave.log))

 expr ${status[3]} + 1 &>/dev/null

 if [ $? -ne 0 ];then

    status[3]=300

 fi

 if [ "${status[0]}" == "Yes" -a "${status[1]}" == "Yes" -a ${status[3]} -lt 120 ]

  then

    #echo "Mysql slave status is ok"

    return 0

  else

    #echo "mysql replcation is failed"

    JudgeError ${status[2]}

  fi

}

 

function MAIL(){

local SUBJECT_CONTENT=$1

for MAIL_USER  in `echo $MAIL_GROUP`

 do

    mail -s "$SUBJECT_CONTENT " $MAIL_USER <$LOG_FILE

done

}

function PAGER(){

for PAGER_USER  in `echo $PAGER_GROUP`

do

 TITLE=$1   

 CONTACT=$PAGER_USER

 HTTPGW=http://oldboy.sms.cn/smsproxy/sendsms.action

 #send_message method1

 curl -d  cdkey=5ADF-EFA -d password=OLDBOY -d phone=$CONTACT -d message="$TITLE[$2]" $HTTPGW

done

}

function SendMsg(){

  if [ $1 -ne 0 ]

    then

       RETVAL=1

       NOW_TIME=`date +"%Y-%m-%d %H:%M:%S"`

       SUBJECT_CONTENT="mysql slave is error,errorno is $2,${NOW_TIME}."

       echo -e "$SUBJECT_CONTENT"|tee $LOG_FILE

       MAIL $SUBJECT_CONTENT

       PAGER $SUBJECT_CONTENT $NOW_TIME

  else

      echo "Mysql slave status is ok"

      RETVAL=0

  fi

  return $RETVAL

}

function main(){

while true

do

   CheckDb

   SendMsg $?

   sleep 300

done

}

main

 


本文出自 “feng” 博客,请务必保留此出处http://fengxiaoli.blog.51cto.com/12104465/1952464

以上是关于shell编程脚本练习题的主要内容,如果未能解决你的问题,请参考以下文章

shell编程脚本练习题

基础脚本编程练习题

shell脚本,编程题练习。

第九周shell脚本编程练习

Linux练习题-shell脚本编程基础篇(施工中)

shell脚本编程练习